package com.ruoyi.shipping.service;

import java.util.List;
import java.util.Map;

import com.ruoyi.shipping.domain.TCntr;
import org.apache.ibatis.annotations.Param;

/**
 * 集装箱Service接口
 * 
 * @author ruoyi
 * @date 2021-03-22
 */
public interface ITCntrService 
{
    /**
     * 查询集装箱
     * 
     * @param fId 集装箱ID
     * @return 集装箱
     */
    public TCntr selectTCntrById(Long fId);

    /**
     * 查询集装箱列表
     * 
     * @param tCntr 集装箱
     * @return 集装箱集合
     */
    public List<TCntr> selectTCntrList(TCntr tCntr);

    /**
     * 新增集装箱
     * 
     * @param tCntr 集装箱
     * @return 结果
     */
    public int insertTCntr(TCntr tCntr);

    /**
     * 修改集装箱
     * 
     * @param tCntr 集装箱
     * @return 结果
     */
    public int updateTCntr(TCntr tCntr);

    /**
     * 批量删除集装箱
     * 
     * @param fIds 需要删除的集装箱ID
     * @return 结果
     */
    public int deleteTCntrByIds(Long[] fIds);

    /**
     * 删除集装箱信息
     * 
     * @param fId 集装箱ID
     * @return 结果
     */
    public int deleteTCntrById(Long fId);

    /**
     * 获取集装箱编号
     * @param tCntr
     * @return
     */
    public List<Map<String, Object>>selectRcntrName(TCntr tCntr);
    /**
     * 查询集装箱表里的编号
     * @param tCntr
     * @return
     */
    public String selectTcnrFno(TCntr tCntr);
    /**
     * 查询集装箱表里的名称
     * @param tCntr
     * @return
     */
    public String selectTcnrFName(TCntr tCntr);
}
